HsCipherSDK Encryption Library
Version 2.2
Commercial Demo
$647.00
1 downloads
HsCipherSDK is an Encryption Library providing an API
to a suite of symmetric key cryptographic algorithms
and one way hash digital signature algorithms. The
library includes the following block and stream cipher
modules:
* AES (Advanced Encryption Standard) - FIPS 197
* DES and Triple DES (Data Encryption Standard) - FIPS-
46-1, FIPS-46-3
* ARC4 (Alleged RC4) CAST-128 (a.k.a CAST5) - RFC 2144
* Blowfish algorithm
* Twofish algorithm
* MD5 message digest algorithm - RFC 1321
* SHA-1 (Secure Hash Algorithm) - RFC 3174
* SHA-256 (Secure Hash Algorithm) - FIPS 180-2
* SHA-512 (Secure Hash Algorithm) - FIPS 180-2
* Whirlpool ISO/IEC 10118-3
HsCipherSDK includes s standard DLL for use from C /
C++, standard DLL for use from Visual Basic or any
other languthat can use the standard dll. HsCipherSDK
to a suite of symmetric key cryptographic algorithms
and one way hash digital signature algorithms. The
library includes the following block and stream cipher
modules:
* AES (Advanced Encryption Standard) - FIPS 197
* DES and Triple DES (Data Encryption Standard) - FIPS-
46-1, FIPS-46-3
* ARC4 (Alleged RC4) CAST-128 (a.k.a CAST5) - RFC 2144
* Blowfish algorithm
* Twofish algorithm
* MD5 message digest algorithm - RFC 1321
* SHA-1 (Secure Hash Algorithm) - RFC 3174
* SHA-256 (Secure Hash Algorithm) - FIPS 180-2
* SHA-512 (Secure Hash Algorithm) - FIPS 180-2
* Whirlpool ISO/IEC 10118-3
HsCipherSDK includes s standard DLL for use from C /
C++, standard DLL for use from Visual Basic or any
other languthat can use the standard dll. HsCipherSDK
Program details
Publisher
Hillstone SoftwareE-mail
Contact the publisherPlatforms
Win7 x32<br>Win7 x64<br>WinServer<br>Windows XP<br>Windows 2000<br>WinVista<br>WinVista x64File size
1134 KBFile date
8/24/2014License
Commercial DemoInstallation
Install & UninstallRecord updated
8/24/2014